## netapplet 1.0.8

=== debian/changelog ===
netapplet (1.0.8-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS": fix config.{guess,sub} handling:
    - remove them from package-diff.patch
    - handle them with autotools-dev (debian/{rules,control}
    - additionally s|dh_prep|dh_clean| in debian/rules' clean target
    (Closes: #661768)

 -- gregor herrmann <gregoa@debian.org>  Thu, 15 Mar 2012 17:52:14 +0100

netapplet (1.0.8-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - add package-diff.patch, push all changes that modifies upstream source 
      directly
    - add fix_FTBFS.patch, mention to X11 and math lib (Closes: #555768)

 -- Hideki Yamane <henrich@debian.org>  Sun, 08 Jan 2012 08:14:09 +0900

netapplet (1.0.8-3) unstable; urgency=low

  * Added -D_GNU_SOURCE to fix FTBFS on amd64.
    Thanks Peter Green (Closes: #527700)
  * Bumped standards-version to latest. No changes needed.
  * Bumped debhelper compat to 7. Upgraded rules as required.
  * Fix copyright with GPL versioning information.

 -- Rudy Godoy <rudy@debian.org>  Tue, 12 May 2009 00:51:07 -0500

netapplet (1.0.8-2) unstable; urgency=low

  * Added LSB formatted dependency on init script (Closes: #460911)
  * New maintainer (Closes: #459901)
  * Make lintian happy by fixing debian/rules

 -- Rudy Godoy <rudy@debian.org>  Sun, 24 Feb 2008 12:42:52 -0500

netapplet (1.0.8-1) unstable; urgency=low

  * New upstream release
  * Fix references to iw_pr_ether (closes: #327075)
  * Rebuilt with latest libiw (closes: #316212)
  * Fix .desktop file (closes: #301693)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 12 Dec 2005 18:56:53 +0000

netapplet (1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #293520)
  * Install icons in hicolor, rather than gnome (Closes: #293534, #280931)
  * Check that an interface has really come up before marking it active
   (Closes: #303361)
  * Notify netapplet when there's no active interface (Closes: #303359)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat,  9 Apr 2005 14:46:21 +0100

netapplet (0.99.4-1) unstable; urgency=low

  * New upstream version
  * Patch to fix memory leaks from Tuukka Hastrup (Closes: #274869)
  * Set the patch when spawning network-admin (Closes: #278655)
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed,  10 Nov 2004 15:10:50 +0100
	

netapplet (0.98.0-3) unstable; urgency=low

  * Update README.Debian to cover the creates option. Thanks to Thomas
    Hood for the patch (Closes: #273068)
  * Install netdaemon in sbin (Closes: #273066)
  * The description in the previous changelog was unclear. "creates" is an
    option to a logical interface name stanza, not a stanza of its own.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 24 Sep 2004 15:56:25 +0100
	

netapplet (0.98.0-2) unstable; urgency=low

  * Change the long description to better reflect the purpose of netapplet
  * Alter the code for determining the available interfaces. This should
    prevent netapplet from getting excessively confused about which
    interfaces are actually available (Closes: #268789)
  * Support the "creates" stanza in /etc/network/interfaces. If a mapping
    has "creates tun0" or similar, tun0 will be supported as an interface.
    This allows bringing up of interfaces that don't exist until the ifup
    process creates them. VPN setups are the obvious example for this.
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 23 Sep 2004 14:59:43 +0100
	

netapplet (0.98.0-1.1) unstable; urgency=low

  * Try to fix crashes on unknown devices

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 25 Aug 2004 22:09:44 +0100

netapplet (0.98.0-1) unstable; urgency=low

  * Initial Release (Closes: #267908)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 25 Aug 2004 00:14:11 +0100
