=== debian/control ===
Source: netapplet
Section: gnome
Priority: optional
Maintainer: Rudy Godoy <rudy@debian.org>
Build-Depends: debhelper (>= 7.0), intltool, libgnomeui-dev, libglade2-dev, libglib2.0-dev, libgnome-keyring-dev, libiw-dev, autotools-dev (>= 20100122.1)
Standards-Version: 3.8.1

Package: netapplet
Architecture: any
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnome-system-tools
Description: User-friendly network interface control applet
 Netapplet allows the user to control the currently active network interface
 and perform a small amount of run-time configuration. It is primarily aimed
 at laptop users who need to be able to switch between different network
 setups and wireless networks.
